Page MenuHomePhabricator

Port remaining scripts depending on varnishlog.py to new VSL API
Closed, ResolvedPublic

Description

We've ported varnishreqstats and varnishstatsd in https://phabricator.wikimedia.org/T128788.

The following scripts are left to be ported:

Phase 1: Scripts needed for text role

ScriptPurpose
modules/varnish/files/varnishrlsTracks stats on ResourceLoader (load.php) requests.
modules/varnish/files/varnishxcpsReports protocol and cipher support stats based on X-Connection-Properties header.

Phase 2: Scripts needed for upload role

ScriptPurpose
modules/varnish/files/varnishmediaTracks stats on image requests.
modules/varnish/files/varnishprocessorLibrary, currently only used by varnishmedia.

Related Objects

Event Timeline

ema created this task.Mar 31 2016, 1:50 PM
Restricted Application added a project: Operations. · View Herald TranscriptMar 31 2016, 1:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
ema triaged this task as Normal priority.Mar 31 2016, 1:50 PM
ema moved this task from Triage to Up Next on the Traffic board.Apr 1 2016, 12:35 PM

Change 281439 had a related patch set uploaded (by BBlack):
varnish statsd: refactor classes, move rls to text-only

https://gerrit.wikimedia.org/r/281439

Change 281439 merged by BBlack:
varnish statsd: refactor classes, move rls to text-only

https://gerrit.wikimedia.org/r/281439

Change 282887 had a related patch set uploaded (by Ema):
Port varnishxcps to new VSL API

https://gerrit.wikimedia.org/r/282887

Change 282887 merged by Ema:
Port varnishxcps to new VSL API

https://gerrit.wikimedia.org/r/282887

Change 295207 had a related patch set uploaded (by Ema):
Port varnishrls to new VSL API

https://gerrit.wikimedia.org/r/295207

Change 305517 had a related patch set uploaded (by Ema):
varnishlog4: allow methods to be used as callbacks

https://gerrit.wikimedia.org/r/305517

Change 305525 had a related patch set uploaded (by Ema):
Port varnishprocessor to new VSL API

https://gerrit.wikimedia.org/r/305525

Change 305527 had a related patch set uploaded (by Ema):
Port varnishmedia to new VSL API

https://gerrit.wikimedia.org/r/305527

Change 305517 merged by Ema:
varnishlog4: allow methods to be used as callbacks

https://gerrit.wikimedia.org/r/305517

Change 305525 merged by Ema:
Port varnishprocessor to new VSL API

https://gerrit.wikimedia.org/r/305525

Change 305527 merged by Ema:
Port varnishmedia to new VSL API

https://gerrit.wikimedia.org/r/305527

BBlack moved this task from Up Next to Triage on the Traffic board.Sep 30 2016, 1:19 PM
ema moved this task from Triage to Varnish v4 on the Traffic board.Sep 30 2016, 2:43 PM

Change 295207 merged by Ema:
Port varnishrls to Varnish 4 VSL API

https://gerrit.wikimedia.org/r/295207

Change 316966 had a related patch set uploaded (by Ema):
varnishrls4: use VSL query and proper tags

https://gerrit.wikimedia.org/r/316966

Change 316966 merged by Ema:
varnishrls4: use VSL query and proper tags

https://gerrit.wikimedia.org/r/316966

ema closed this task as Resolved.Oct 21 2016, 9:39 AM